Runtime

## org.eclipse.gmf.runtime.common.ui.services.icon
Class IconOptions

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.services.icon.IconOptions

public final class IconOptions
extends java.lang.Object

Class for setting and testing flags used by the icon service

Field Summary
`static IconOptions` `GET_IMAGE_REPRESENTING_STEREOTYPE` set this if the image representing a stereotype is requested (use this to find the icon for a stereotype without an element).
`static IconOptions` `GET_STEREOTYPE_IMAGE_FOR_ELEMENT` set this if the stereotype image of an element's stereotype is requested
`static IconOptions` `NO_DEFAULT_STEREOTYPE_IMAGE` set this if no default image should be returned if the requested stereotype image is not found
`static IconOptions` `NONE` no option

Constructor Summary
`IconOptions()` Constructor for IconOptions

Method Summary
`int` `intValue()` Returns the flags as an integer bit flag
`static boolean` `isSet(int flags, IconOptions option)` Tests if the specified option is set
`void` `set(IconOptions option)` Sets the specified option

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final IconOptions NONE

  no option

### GET_STEREOTYPE_IMAGE_FOR_ELEMENT

    public static final IconOptions GET_STEREOTYPE_IMAGE_FOR_ELEMENT

  set this if the stereotype image of an element's stereotype is requested

### NO_DEFAULT_STEREOTYPE_IMAGE

    public static final IconOptions NO_DEFAULT_STEREOTYPE_IMAGE

  set this if no default image should be returned if the requested stereotype image is not found

### GET_IMAGE_REPRESENTING_STEREOTYPE

    public static final IconOptions GET_IMAGE_REPRESENTING_STEREOTYPE

  set this if the image representing a stereotype is requested (use this to find the icon for a stereotype without an element).

Constructor Detail

### IconOptions

    public IconOptions()

  Constructor for IconOptions

Method Detail

### intValue

    public int intValue()

  Returns the flags as an integer bit flag

  Returns:
    int the flags as an integer bit flag

### isSet

    public static boolean isSet(int flags,
                                IconOptions option)

  Tests if the specified option is set

  Parameters:
    `flags` - the flags as an integer bit flag
    `option` - the specified option
  Returns:
    boolean `true` if this option is set, otherwise `false`

### set

    public void set(IconOptions option)

  Sets the specified option

  Parameters:
    `option` - the specified option

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.